package gotowe.p05_switch;

import javax.swing.JOptionPane;

public class IleDniMaMiesiac4 {
	/* W tej wersji używamy "switch expression".
	 * W prostych przypadkach (30 lub 31 dni) wystarczy wpisac wartośc za strzałką ->
	 * W przypadku lutego mamy dodatkowego if-a i aby w tej sytuacji (generalnie: gdy mamy {blok kodu})
	 * to wynik switcha zwracamy za pomocą słowa kluczowego yield.
	 * 
	 * Z kolei w przypadku niepoprawnej nazwy nie ma żadnego wyniku - zamiast tego wyrzucamy wyjątek.
	 */
	
	public static void main(String[] args) {
		String miesiac = JOptionPane.showInputDialog("Podaj nazwę miesiąca");
		
		int ileDni = switch(miesiac.strip().toLowerCase()) {
			case "styczeń", "marzec", "maj", "lipiec", "sierpień", "październik", "grudzień" ->
				31;
			case "kwiecień", "czerwiec", "wrzesień", "listopad" ->
				30;
			case "luty" -> {
				int rok = Integer.parseInt(JOptionPane.showInputDialog("O który rok chodzi?"));
				if(rok % 4 == 0 && rok % 100 != 0 || rok % 400 == 0) {
					yield 29;
				} else {
					yield 28;
				}
			}
			default -> throw new IllegalArgumentException("Nieznany miesiąc " + miesiac);
		};
		
		JOptionPane.showMessageDialog(null, "Miesiąc " + miesiac + " ma " + ileDni + " dni");
	}

}
